%define name	xchat-ruby
%define version	1.1
%define release	%mkrel 8

# usually ruby binary compatibility only breaks between minor releases?
%define min_ruby_version	1.8
%define max_ruby_version	1.9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XChat Ruby plugin
Group:		Networking/IRC
License:	GPL
URL:		http://xchat-ruby.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Source:		%{name}-src-%{version}.tar.bz2
Patch0:		%{name}-global-install.patch
BuildRequires:	ruby-devel >= %{min_ruby_version}
BuildConflicts:	ruby-devel >= %{max_ruby_version}
Requires:	ruby >= %{min_ruby_version}
Conflicts:	ruby >= %{max_ruby_version}
Requires:	xchat

%description
Provides Ruby scripting capability to XChat.

%prep
%setup -q -n %{name}-src-%{version}
%patch0

%build
cd src
%make CFLAGS='-fPIC -Wall %optflags'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
install -m 755 src/xchat-ruby.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/ruby.so
ruby -e 'puts $LOAD_PATH.join("\n")' > $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/rubyenv

%clean
rm -fr $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc README COPYING samples ChangeLog
%{_libdir}/xchat/plugins/ruby.so
%{_libdir}/xchat/plugins/rubyenv




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1-8mdv2008.1
+ Revision: 136578
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 10 2007 Pascal Terjan <pterjan@mandriva.org> 1.1-8mdv2007.1
+ Revision: 140559
- rebuild
- Import xchat-ruby

* Mon May 22 2006 Pascal Terjan <pterjan@mandriva.org> 1.1-7mdk
- mkrel

* Sat Nov 27 2004 Abel Cheung <deaddog@mandrake.org> 1.1-6mdk
- Misc spec fixes
- Relax ruby requirement

* Sat Aug 14 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-5mdk
- rebuild

